--- old/usr/src/cmd/nscd/nscd_selfcred.c	Mon Oct 15 13:24:37 2018
+++ new/usr/src/cmd/nscd/nscd_selfcred.c	Mon Oct 15 13:24:37 2018
@@ -22,6 +22,7 @@
 /*
  * Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2012 Milan Jurik. All rights reserved.
+ * Copyright 2018 Joyent Inc.
  */
 
 #include <stdio.h>
@@ -425,6 +426,8 @@
 	char		*fmri;
 	char		*me = "forker_monitor";
 
+	(void) thr_setname(thr_self(), me);
+
 	/* wait until forker exits */
 	fpid = forker_pid;
 	(void) selfcred_pulse(forking_door);
@@ -1416,7 +1419,7 @@
 	static uid_t	uid = 0;
 	static uid_t	euid = 0;
 	int		pfd; /* file descriptor for /proc/<pid>/psinfo */
-	psinfo_t 	info;  /* process information from /proc */
+	psinfo_t	info;  /* process information from /proc */
 
 	if (uid == 0)  {
 		pid = getpid();
@@ -1466,6 +1469,8 @@
 	int		found;
 	char		*me = "check_user_process";
 
+	(void) thr_setname(thr_self(), me);
+
 	for (;;) {
 		(void) sleep(60);
 
